From eb1312ae84628be0ce91f001ab9dee34521ad7f5 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Wed, 30 May 2018 10:25:23 -0400
Subject: [PATCH 2/2] Clarify the comment on bms_num_members vs bms_membership

---
 src/backend/nodes/bitmapset.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/backend/nodes/bitmapset.c b/src/backend/nodes/bitmapset.c
index 9bf9a29d6b..6adf9b2895 100644
--- a/src/backend/nodes/bitmapset.c
+++ b/src/backend/nodes/bitmapset.c
@@ -666,6 +666,9 @@ bms_get_singleton_member(const Bitmapset *a, int *member)
 
 /*
  * bms_num_members - count members of set
+ *
+ * In situations where the exact count isn't required, bms_membership can be
+ * used to test if the set has 0, 1 or multiple members.
  */
 int
 bms_num_members(const Bitmapset *a)
-- 
2.14.1.145.gb3622a4ee

